### Getting Started

* [Defining Abilities](./Defining-Abilities.md), [Best Practices](https://github.com/CanCanCommunity/cancancan/wiki/Defining-Abilities%3A-Best-Practices)
* [Checking Abilities](./Checking-Abilities.md)
* [Authorizing Controller Actions](./Authorizing-controller-actions.md)
* [Exception Handling](./Exception-Handling.md)
* [Ensure Authorization](./Ensure-Authorization.md)
* [Changing Defaults](./Changing-Defaults.md)
* [Translations (i18n)](./Translations-(i18n).md)

### More about Abilities

* [Testing Abilities](./Testing-Abilities.md)
* [Debugging Abilities](./Debugging-Abilities.md)
* [Ability Precedence](./Ability-Precedence.md)
* [Fetching Records](./Fetching-Records.md)
* [Action Aliases](./Action-Aliases.md)
* [Custom Actions](./Custom-Actions.md)
* [Role Based Authorization](./Role-Based-Authorization.md)


### More about Controllers & Views

* [Controller Authorization Example](./Controller-Authorization-Example.md)
* [Nested Resources](./Nested-Resources.md)
* [Strong Parameters](./Strong-Parameters.md)
* [Non RESTful Controllers](./Non-RESTful-Controllers.md)
* [Link Helpers](./Link-Helpers.md)


### Other Use Cases

* [Inherited Resources](./Inherited-Resources.md)
* [Mongoid](./Mongoid.md)
* [Rails Admin](https://github.com/sferik/rails_admin/wiki/CanCanCan)
* [Devise](./Devise.md)
* [Accessing Request Data](./Accessing-request-data.md)
* [Abilities in Database](./Abilities-in-Database.md)
* [Ability for Other Users](./Ability-for-Other-Users.md)
* [Other Authorization Solutions](./Other-Authorization-Solutions.md)

**Can't find what you're looking for? [Submit a Question on StackOverflow](http://stackoverflow.com/questions/ask?tags=cancancan)
